<%@ page language="java"%> 

<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <% 
	} 
%>	
<%@ include file="/m05bIdioma.inc"%>

<HTML>

<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<title><%= resTit.getString("titLstSegPolizas")%></title>
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">	
<SCRIPT language=JavaScript>
		function fncRetornar() {
				 document.formSolicitud.action="/m05bParqueMovilWar/m05bPolizasPorSeguroJsp.jsp" ;
				 document.formSolicitud.submit();
		}
</SCRIPT>
</HEAD>	
<!-- Hojas de Estilo -->
<%	String sPolizasPorSeguro = m05bFicheroProperties.getInstance().getParameter("PDF.PolizasPorSeguro"); %>

<BODY style="cursor: wait" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">	
<form NAME="formSolicitud" METHOD="POST">
<%
	String sCia = request.getParameter("Cia");
	String sSituacion = request.getParameter("SituacionTexto");
	String sSituacionSeguro = request.getParameter("SituacionSeguroTexto");
	String dpto = request.getParameter("Dpto");
	String srcPDF = sPolizasPorSeguro + "?Cia="+sCia +"&Situacion="+sSituacion+"&SituacionSeguro="+sSituacionSeguro+"&Dpto="+dpto;
	m05bComun miComun=new m05bComun();
	java.sql.Connection conn=null;
	PreparedStatement pstmt = null;
	ResultSet rs = null;
      try
      {  //HttpSession session = request.getSession(true);
			m05bConexion miConex = new m05bConexion();
			conn = miConex.getConnection();
            String sSentencia = " SELECT  1 "+
" FROM " +
m05bConstantes.TAB_HIST_SEGUROS+","+	
m05bConstantes.TAB_VEHICULOS+","+	
m05bConstantes.TAB_DESCRIPCIONES+" R,"+
m05bConstantes.TAB_DESCRIPCIONES+" M,"+
m05bConstantes.TAB_DESCRIPCIONES+" S,"+
m05bConstantes.TAB_DESCRIPCIONES+" T,"+
m05bConstantes.TAB_DEPARTAMENTOS+
" WHERE " +
m05bConstantes.COL_13_MATRICULA+"="+m05bConstantes.COL_34_MATRICULA +" AND "+
" M."+m05bConstantes.COL_99_CODTABLA+ "='8' AND "+	
m05bConstantes.COL_13_MODAL+"= M."+m05bConstantes.COL_99_CODDESC+"(+) AND "+	
" R."+m05bConstantes.COL_99_CODTABLA+"='11'   AND "+ 		
m05bConstantes.COL_34_RANGO+"= R."+m05bConstantes.COL_99_CODDESC  +" AND "+	
" S." +m05bConstantes.COL_99_CODTABLA+"='9'   AND "+  		
m05bConstantes.COL_34_SITUACION+"= S."+m05bConstantes.COL_99_CODDESC  +
" AND "+ 	
" T." +m05bConstantes.COL_99_CODTABLA+"='14'   AND "+  		
m05bConstantes.COL_13_ESTADO+
"= T."+m05bConstantes.COL_99_CODDESC  +" AND "+	
m05bConstantes.COL_06_CODDPTO +"="+ m05bConstantes.COL_34_CODDPTO +" AND "+
m05bConstantes.COL_13_MATRICULA+"||"+m05bConstantes.COL_13_CODIGO+"  in("+
" SELECT "+
m05bConstantes.COL_13_MATRICULA+"||MAX("+ m05bConstantes.COL_13_CODIGO+")"+
" FROM " +
m05bConstantes.TAB_HIST_SEGUROS+	
" GROUP BY " +
m05bConstantes.COL_13_MATRICULA+")";
if (!(sSituacion.equals(""))){
        sSituacion=miComun.ListaCaracteres(sSituacion);
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_SITUACION+ " in ("+sSituacion+")";}
if (!(sSituacionSeguro.equals(""))){
        sSituacionSeguro=miComun.ListaCaracteres(sSituacionSeguro);
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_13_ESTADO+ " in ("+sSituacionSeguro+")";}
if (!(sCia.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_13_CIA+ " = '"+sCia+"'";}
			
if(!dpto.equals("")){
	sSentencia= sSentencia + " AND " + m05bConstantes.COL_06_CODDPTO+ " = '"+dpto+"'";
}                   
		           pstmt = conn.prepareStatement(sSentencia);
		           rs = pstmt.executeQuery();
		
%>
	
<TABLE class="general">
  <tr>
       <td width="90%" align="right">
          <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Retornar" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/retornar.gif"-->
          <input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />				                
       </td>
    
  </tr>
  <tr>
    <td colspan="2">
    <% if (rs.next() == true){ %>
      
		<embed name='pdfPolizasPorSeguro' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
    <%} else {%>
		<embed name='pdfPolizasPorSeguro' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
    <%}%>
	<%	} catch (Exception SQLException) {
		m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
			miLog.addTraza(SQLException);
		} 	finally{
				if (rs != null)
					rs.close();			
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();}%>
  	</td>
  </tr>
</TABLE>
</form>
<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>		
</body>
</html>
